nx_metadata_sdk 1.0 Metadata SDK

Classes | Public Member Functions | Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::stub::best_shots::DeviceAgent Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::best_shots::DeviceAgent:

## Public Member Functions
| DeviceAgent (const nx::sdk::IDeviceInfo *deviceInfo)
Public Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
virtual void | setHandler (IHandler *handler) override
Public Member Functions inherited from nx::sdk::RefCountable< IConsumingDeviceAgent >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const

## Protected Member Functions
virtual std::string | manifestString () const override
virtual bool | pushCompressedVideoFrame (const nx::sdk::analytics::ICompressedVideoPacket *videoFrame) override
virtual void | doSetNeededMetadataTypes (nx::sdk::Result< void > *outValue, const nx::sdk::analytics::IMetadataTypes *neededMetadataTypes) override
virtual nx::sdk::Result< const nx::sdk::ISettingsResponse * > | settingsReceived () override
Protected Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
| ConsumingDeviceAgent (const IDeviceInfo *deviceInfo, bool enableOutput, const std::string &pluginInstanceId="")
virtual bool | pushUncompressedVideoFrame (const IUncompressedVideoFrame *videoFrame)
virtual bool | pushCustomMetadataPacket (const ICustomMetadataPacket *)
virtual bool | pullMetadataPackets (std::vector< IMetadataPacket *> *metadataPackets)
void | pushMetadataPacket (IMetadataPacket *metadataPacket)
void | pushPluginDiagnosticEvent (IPluginDiagnosticEvent::Level level, std::string caption, std::string description)
std::string | settingValue (const std::string &settingName) const
std::map< std::string, std::string > | currentSettings () const
void | pushManifest (const std::string &pushManifest)
virtual void | finalize () override
virtual void | doPushDataPacket (Result< void > *outResult, IDataPacket *dataPacket) override
virtual void | doSetSettings (Result< const ISettingsResponse *> *outResult, const IStringMap *settings) override
virtual void | getPluginSideSettings (Result< const ISettingsResponse *> *outResult) const override
virtual void | getManifest (Result< const IString *> *outResult) const override

## Additional Inherited Members
Protected Attributes inherited from nx::sdk::analytics::ConsumingDeviceAgent
const LogUtils | logUtils

## Member Function Documentation

## ◆ pushCompressedVideoFrame()

bool nx::vms_server_plugins::analytics::stub::best_shots::DeviceAgent::pushCompressedVideoFrame | ( | const nx::sdk::analytics::ICompressedVideoPacket * | videoFrame | ) |
| override protected virtual

Override to accept next compressed video frame for processing. Should not block the caller thread for long.

Parameters

  videoFrame | Contains a pointer to the compressed video frame raw bytes.

Reimplemented from nx::sdk::analytics::ConsumingDeviceAgent.

## ◆ settingsReceived()

nx::sdk::Result< const nx::sdk::ISettingsResponse * > nx::vms_server_plugins::analytics::stub::best_shots::DeviceAgent::settingsReceived | ( |  | ) |
| override protected virtual

Called when the settings are received from the server (even if the values are not changed). Should perform any required (re)initialization. Called even if the settings model is empty.

Returns
  Error messages per setting (if any), as in IDeviceAgent::setSettings().

Reimplemented from nx::sdk::analytics::ConsumingDeviceAgent.

The documentation for this class was generated from the following files:

- samples/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/best_shots/device_agent.h
- samples/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/best_shots/device_agent.cpp